All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.visuals
Interface Direction

All Known Subinterfaces:
  TabBarInterface

All Known Implementing Classes:
  RowLayout, TabBar

    public interface Direction

Direction is an interface that contains static values for com.sas.visuals classes that have a "direction" property.

Field Summary
`static int` | `BOTTOM_TO_TOP` BOTTOM_TO_TOP direction
`static int` | `COLUMN_MAJOR` COLUMN_MAJOR direction
`static int` | `LEFT_TO_RIGHT` LEFT_TO_RIGHT direction
`static java.lang.String` | `RB_KEY`
`static int` | `RIGHT_TO_LEFT` RIGHT_TO_LEFT direction
`static int` | `ROW_MAJOR` ROW_MAJOR direction
`static int` | `TOP_TO_BOTTOM` TOP_TO_BOTTOM direction

Field Detail

### RB_KEY

    static final java.lang.String RB_KEY

See Also:
  Constant Field Values

### LEFT_TO_RIGHT

    static final int LEFT_TO_RIGHT

  LEFT_TO_RIGHT direction

  See Also:
    Constant Field Values

### RIGHT_TO_LEFT

    static final int RIGHT_TO_LEFT

  RIGHT_TO_LEFT direction

  See Also:
    Constant Field Values

### TOP_TO_BOTTOM

    static final int TOP_TO_BOTTOM

  TOP_TO_BOTTOM direction

  See Also:
    Constant Field Values

### BOTTOM_TO_TOP

    static final int BOTTOM_TO_TOP

  BOTTOM_TO_TOP direction

  See Also:
    Constant Field Values

### ROW_MAJOR

    static final int ROW_MAJOR

  ROW_MAJOR direction

  See Also:
    Constant Field Values

### COLUMN_MAJOR

    static final int COLUMN_MAJOR

  COLUMN_MAJOR direction

  See Also:
    Constant Field Values

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.